LEED Brakes' Power Front Disc Brake Conversion Kits provide a comprehensive solution for upgrading your vehicle's braking system with front disc brakes. Each kit includes all necessary components for a seamless installation, ensuring that your vehicle achieves optimal braking performance. Here's what you can expect from our Power Front Disc Brake Conversion Kits:
Complete Power Front Disc Brake Conversion
Our Power Front Disc Brake Conversion Kits come with everything you need to mount front disc brakes to your vehicle. This includes:
Power Brake Booster: Enhances your vehicle's braking power, making it easier to stop with less pedal effort.
Master Cylinder: Works in conjunction with the power brake booster to ensure consistent and reliable braking performance.
Disc Brake Components: High-quality rotors, calipers, brake pads, and necessary hardware for a complete front disc brake setup.
Versatile Solutions for Various Applications
If your application requires a manual brake setup instead of a power front disc brake conversion, we offer flexibility. You can easily choose from our complete front disc brake kits, which include all the components needed for a manual setup. This ensures that you get the right fit and function for your specific vehicle needs.
Why Choose LEED Brakes' Power Front Disc Brake Conversion Kits?
Comprehensive Kits: Our power front disc brake conversion kits are designed to include every component required for a successful installation, saving you time and hassle.
High-Quality Components: Each part is manufactured to meet or exceed OEM specifications, ensuring durability and reliability.
Improved Safety: Upgrading to a front disc brake system significantly improves your vehicle's stopping power and overall safety.
Key Benefits of LEED Brakes Power Front Disc Brake Conversion Kits
Easy Installation: Designed for straightforward installation with detailed instructions.
Enhanced Braking Performance: Superior to traditional drum brakes in terms of stopping power and heat dissipation.
Durability: Built to last with high-quality materials and finishes.
For more details on LEED Brakes' power front disc brake conversion kits, including specific applications and compatibility, don’t hesitate to contact us. Our team of experts is ready to assist you in selecting the perfect kit for your vehicle, ensuring you achieve the best possible braking performance.
Contact LEED Brakes today to learn more about our power front disc brake conversion kits and how they can transform your vehicle's braking system, providing you with peace of mind and enhanced driving safety.
Power Front Disc Brake Kit with Drilled Rotors and Red Powder Coated Calipers for Mopar B & E BodyNew887753640369
Add the safety, reliability, and stopping performance of front disc brakes to your Mopar B-Body or E-Body vehicle with this manual drum-to-disc brake conversion kit from LEED Brakes. This complete...
Description: Add the safety, reliability, and stopping performance of front disc brakes to your Mopar B-Body or E-Body vehicle with this manual drum-to-disc brake conversion kit from LEED Brakes. This complete...More Details »
Item #: RFC2002-8405X
Condition: New
Price: $1,808.99
1955-58 Tri-Five GM Power Front Disc Brake Conversion Kit with Disc Drum Valve | MaxGrip XDS | Red CalipersNew887753638083
Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This complet...
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: RFC1010-K1A1X
Condition: New
Price: $1,264.99
1957-68 Full-Size Ford Power Front Disc Brake Kit - MaxGrip XDS, Red CalipersNew887753640208
Upgrade your 1957-1968 full-size Ford from manual front drum brakes to power disc brakes with this complete LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston calipers ...
Description: Upgrade your 1957-1968 full-size Ford from manual front drum brakes to power disc brakes with this complete LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston calipers...More Details »
Item #: RFC0025-8307X
Condition: New
Price: $1,814.99
1964-66 Mustang Manual Tranmssion Power Front Kit with Drilled Rotors and Red Powder Coated CalipersNew887753641342
Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit fro...
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »
Item #: RFC0001-H405MX
Condition: New
Price: $1,714.99
1967-69 Mustang Manual Transmission Power Front Disc Brake Conversion Kit, Red CalipersNew887753639936
Upgrade your 1967-1969 Ford Mustang from front drum to power disc brakes with this complete LEED Brakes conversion kit for manual transmission cars. Featuring red powder-coated factory-style 4-pis...
Description: Upgrade your 1967-1969 Ford Mustang from front drum to power disc brakes with this complete LEED Brakes conversion kit for manual transmission cars. Featuring red powder-coated factory-style...More Details »
Item #: RFC0002-X405MX
Condition: New
Price: $1,814.99
Front Disc Brake Conversion Kit Mopar B Body Factory Power Brakes with MaxGrip XDS & Red CalipersNew887753640987
Upgrade your Mopar B-Body from factory power drum brakes to front disc brakes with this LEED Brakes MaxGrip XDS Front Disc Brake Conversion Kit. Featuring cross-drilled and slotted rotors, red pow...
Description: Upgrade your Mopar B-Body from factory power drum brakes to front disc brakes with this LEED Brakes MaxGrip XDS Front Disc Brake Conversion Kit. Featuring cross-drilled and slotted rotors, red...More Details »
Item #: RFC2002-C05PX
Condition: New
Price: $1,629.99
Front Disc Brake Conversion Kit with MaxGrip XDS Rotors & Red Calipers for Mopar C-Body with Factory Power BrakesNew887753641106
Upgrade your Mopar C-Body from factory power drum brakes to front disc brakes with this LEED Brakes conversion kit featuring MaxGrip XDS cross-drilled and slotted rotors. This kit includes everyth...
Description: Upgrade your Mopar C-Body from factory power drum brakes to front disc brakes with this LEED Brakes conversion kit featuring MaxGrip XDS cross-drilled and slotted rotors. This kit includes...More Details »
Item #: RFC2003-P405X
Condition: New
Price: $1,770.99
GM AFX Power Front Disc Brake Kit Drilled and Slotted Rotors, Red Powder Coated Calipers with 9" Booster Disc/DiscNew887753637420
Upgrade your vehicle with the safety, reliability, and performance of a complete drum-to-disc brake conversion from LEED Brakes. This GM AFX power front disc brake kit includes everything required ...
Description: Upgrade your vehicle with the safety, reliability, and performance of a complete drum-to-disc brake conversion from LEED Brakes. This GM AFX power front disc brake kit includes everything required...More Details »
Item #: RFC1002-E1A3X
Condition: New
Price: $1,354.99
MaxGrip Lite 4 Piston Power Disc Brake Conversion 64.5-66 Ford Manual Trans | Red CalipersNew887753641953
Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes, designed for vehicles with factory manual transmissions. This MaxGrip Lite 4-piston drum-to-powe...
Description: Upgrade your 1964.5-1966 Ford Mustang with a power front disc brake conversion kit from LEED Brakes, designed for vehicles with factory manual transmissions. This MaxGrip Lite 4-piston...More Details »
Item #: RFC0005-H405MX
Condition: New
Price: $1,999.99
MaxGrip Lite 4 Piston Power Disc Brake Conversion 67-69 Ford | Manual Transmission | Red 4 Piston CalipersNew887753641762
Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-power-disc bra...
Description: Upgrade your 1967-1969 Ford Mustang with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-power-disc...More Details »
Item #: RFC0006-X405MX
Condition: New
Price: $2,099.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1970 Ford Mustang & Mercury Cougar | Red Calipers | Manual TransNew887753641892
Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This drum-to-p...
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed for vehicles with manual transmissions. This...More Details »
Item #: RFC0007-X405MX
Condition: New
Price: $2,099.99
Power Front Brake Kit with Drilled Rotors and Red Calipers for 1970 Mustang or Cougar with Manual TransmissionNew887753640086
Upgrade your 1970 Ford Mustang or Mercury Cougar from front drum to power disc brakes with this complete LEED Brakes conversion kit for manual transmission cars. Featuring red powder-coated factor...
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar from front drum to power disc brakes with this complete LEED Brakes conversion kit for manual transmission cars. Featuring red powder-coated...More Details »
Item #: RFC0003-X405MX
Condition: New
Price: $1,814.99
Power Front Disc Brake Conversion Kit with Disc Drum Valve | MaxGrip XDS | Red Calipers for 1959-1964 Chevrolet Bel Air, ImpalaNew887753638151
Upgrade your 1959–1964 Chevrolet Bel Air or Impala from front drum to power disc brakes with this complete LEED Brakes conversion kit. Features red powder-coated single-piston calipers, a disc/d...
Description: Upgrade your 1959–1964 Chevrolet Bel Air or Impala from front drum to power disc brakes with this complete LEED Brakes conversion kit. Features red powder-coated single-piston calipers, a...More Details »
Item #: RFC1011-K1A1X
Condition: New
Price: $1,271.99
1955-58 Chevrolet Power Front Disc Brake Conversion Kit with Disc/Disc Valve, MaxGrip XDS Rotors & Red CalipersNew887753638090
Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This complet...
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: RFC1010-K1A3X
Condition: New
Price: $1,265.99
1959-64 Chevrolet Power Front Disc Brake Conversion Kit | MaxGrip XDS Rotors, Red CalipersNew887753638168
Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring Max...
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: RFC1011-K1A3X
Condition: New
Price: $1,272.99
1964–1968 Ford & Mercury Full-Size Power Front Disc Brake Conversion Kit with MaxGrip XDS Rotors & Red 4-Piston Calipers for Factory Power Brake CarsNew887753641205
Upgrade your 1964-1968 full-size Ford or Mercury from factory power drum brakes to power front disc brakes with this MaxGrip XDS conversion kit from LEED Brakes. Designed for classic Ford Galaxie,...
Description: Upgrade your 1964-1968 full-size Ford or Mercury from factory power drum brakes to power front disc brakes with this MaxGrip XDS conversion kit from LEED Brakes. Designed for classic Ford Galaxie,...More Details »
Item #: RFC0025-P307X
Condition: New
Price: $1,839.99
1965-72 Mopar C-Body Factory Power Front Disc Brake Conversion Kit | MaxGrip XDS | Red CalipersNew887753641021
Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped with fa...
Description: Upgrade the safety, reliability, and braking performance of your classic Mopar with LEED Brakes' 1965-72 C-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles equipped with...More Details »
Item #: RFC2003-C05PX
Condition: New
Price: $1,613.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1965-72 Mopar A-Body | Red Calipers | XDS RotorsNew887753917102
Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc b...
Description: Upgrade your classic 1965-1972 Mopar A-Body with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert factory manual drum brakes to power front disc...More Details »
Item #: RFC2004-8405X
Condition: New
Price: $2,212.99
MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit with Red Calipers for Mopar B & E BodyNew887753917430
Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this front disc brake conversion kit you receive everything you need to ...
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our manual drum to disc brake conversion. In this front disc brake conversion kit you receive everything you need to...More Details »
Item #: RFC2005-8405X
Condition: New
Price: $2,126.99
Power Front Disc Brake Kit Drilled and Slotted Rotors, Red Powder Coated Calipers with 9" Chrome Booster, Chrome M/C Adjustable Proportioning Valve for GM AFXNew887753637444
Add the safety, reliability, and performance of disc brakes to your vehicle with our drum-to-disc brake conversion. In this kit, you receive everything you need to mount red powder-coated single-pi...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with our drum-to-disc brake conversion. In this kit, you receive everything you need to mount red powder-coated...More Details »
Item #: RFC1002-F605X
Condition: New
Price: $1,334.99
GM AFX Power Front Disc Brake Kit – Drilled & Slotted Rotors, Red Calipers, 9" Booster, Disc/DrumNew887753637451
Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete power drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount red powd...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete power drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount red...More Details »
Item #: RFC1002-F6B2X
Condition: New
Price: $1,384.99
MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit with Red Calipers for Mopar B-Body Factory Power BrakesNew887753917348
Add the safety, reliability and performance of disc brakes to your factory power drum brake vehicle with our drum to disc brake conversion kit featuring MaxGrip Lite 4 Piston Aluminum Calipers. In ...
Description: Add the safety, reliability and performance of disc brakes to your factory power drum brake vehicle with our drum to disc brake conversion kit featuring MaxGrip Lite 4 Piston Aluminum Calipers. In...More Details »
Item #: RFC2005-C05PX
Condition: New
Price: $1,977.99
Power Front Kit with Drilled Rotors and Red Calipers for 1957-62 Ford Full Size 4 Piston - Y Block CarsNew887753640222
Upgrade your 1957-1962 Ford Y Block vehicle from manual front drum brakes to power disc brakes with this complete LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston cal...
Description: Upgrade your 1957-1962 Ford Y Block vehicle from manual front drum brakes to power disc brakes with this complete LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston...More Details »
Item #: RFC0025-Y307X
Condition: New
Price: $1,914.99
1957-1968 Ford Full-Size Power Front Disc Brake Conversion Kit, MaxGrip Lite 4-Piston, Red CalipersNew887753645425
Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert vehicles originally equipped with m...
Description: Upgrade your classic 1957-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed to convert vehicles originally equipped with...More Details »
Item #: RFC0026-8307X
Condition: New
Price: $2,169.99
GM AFX Power Front Disc Brake Kit – Drilled & Slotted Rotors, Red Powder-Coated Calipers, 9" Booster, Disc/DiscNew887753637468
Upgrade your Chevrolet with the safety, reliability, and performance of a complete power drum-to-disc brake conversion from LEED Brakes. This power front disc brake kit includes everything required...
Description: Upgrade your Chevrolet with the safety, reliability, and performance of a complete power drum-to-disc brake conversion from LEED Brakes. This power front disc brake kit includes everything required...More Details »
Item #: RFC1002-F6B4X
Condition: New
Price: $1,384.99
MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body – Red CalipersNew887753917768
Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body vehicles with red calipers. This ma...
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the MaxGrip Lite 4-Piston Power Front Disc Brake Conversion Kit for Mopar C-Body vehicles with red calipers. This...More Details »
Item #: RFC2006-8405X
Condition: New
Price: $2,130.99
1957-62 Full-Size Ford Y-Block MaxGrip Lite 4-Piston Power Front Disc Brake Conversion with Red CalipersNew887753645401
Upgrade your classic 1957-1962 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with Y-bloc...
Description: Upgrade your classic 1957-1962 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with...More Details »
Item #: RFC0026-Y307X
Condition: New
Price: $2,199.99
GM AFX Power Front Disc Brake Kit, Drilled and Slotted Rotors, Red Calipers with 8" Dual Booster Adjustable Proportioning ValveNew887753637499
Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes power front drum-to-disc brake conversion kit. This complete system includes everything nee...
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes power front drum-to-disc brake conversion kit. This complete system includes everything...More Details »
Item #: RFC1002-M105X
Condition: New
Price: $1,344.99
Mopar C-Body MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit with Red Calipers for Factory Power BrakesNew887753917850
Add the safety, reliability, and performance of disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit featuring MaxGrip Lite 4-Piston Aluminum ...
Description: Add the safety, reliability, and performance of disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit featuring MaxGrip Lite 4-Piston Aluminum...More Details »
Item #: RFC2006-P405X
Condition: New
Price: $2,133.99
GM AFX Power Front Disc Brake Kit – Drilled & Slotted Rotors, Red Calipers, 8" Dual Booster, Disc/DrumNew887753637505
Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes power front drum-to-disc brake conversion kit. This complete system includes everything nee...
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes power front drum-to-disc brake conversion kit. This complete system includes everything...More Details »
Item #: RFC1002-M1A1X
Condition: New
Price: $1,369.99
MaxGrip Lite 4 Piston Power Front Disc Brake Conversion 1964-68 Full-Size Ford & Mercury | Factory Power Drum Brakes | Red CalipersNew887753645418
Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally eq...
Description: Upgrade your classic 1964-1968 full-size Ford or Mercury with a MaxGrip Lite 4-piston power front disc brake conversion kit from LEED Brakes. Designed specifically to convert vehicles originally...More Details »
Item #: RFC0026-P307X
Condition: New
Price: $2,149.99
MaxGrip Lite 4-Piston Front Disc Brake Conversion Kit with Red Calipers for Mopar C-Body Factory Power BrakesNew887753917676
Add the safety, reliability, and performance of MaxGrip Lite 4-Piston disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit. This Mopar C-Body f...
Description: Add the safety, reliability, and performance of MaxGrip Lite 4-Piston disc brakes to your factory power drum brake vehicle with LEED Brakes’ drum-to-disc brake conversion kit. This Mopar C-Body...More Details »
Item #: RFC2006-C05PX
Condition: New
Price: $1,981.99
GM AFX Power Front Disc Brake Kit – Drilled & Slotted Rotors, Red Powder-Coated Calipers, 8" Dual Booster, Disc/DiscNew887753637512
Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes power front drum-to-disc brake conversion kit. This complete system includes everything nee...
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with this LEED Brakes power front drum-to-disc brake conversion kit. This complete system includes everything...More Details »
Item #: RFC1002-M1A3X
Condition: New
Price: $1,369.99
MaxGrip Lite 4 Piston Front Disc Brake Conversion 1960-68 Full-Size Ford & Mercury for factory Power Brake Cars - Red CalipersNew887753645449
Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes. ...
Description: Upgrade your classic full-size Ford or Mercury with a MaxGrip Lite 4-piston front disc brake conversion kit from LEED Brakes, designed specifically for vehicles equipped with factory power brakes....More Details »
Item #: RFC0026-405PX
Condition: New
Price: $2,074.99
GM AFX Power Front Disc Brake Kit Drilled and Slotted Rotors Red Calipers with 8" Dual Booster & Adjustable Proportioning ValveNew887753637529
Upgrade your vehicle with the safety, reliability, and performance of modern disc brakes using this complete drum-to-disc brake conversion kit. This system includes everything needed to mount red ...
Description: Upgrade your vehicle with the safety, reliability, and performance of modern disc brakes using this complete drum-to-disc brake conversion kit. This system includes everything needed to mount red...More Details »
Item #: RFC1002-N605X
Condition: New
Price: $1,439.99
GM AFX Power Front Disc Brake Kit with 8" Dual Chrome Booster, Drilled & Slotted Rotors, and Red Calipers for Disc/Drum ApplicationsNew887753637536
Upgrade your GM AFX vehicle with the safety, reliability, and performance of modern disc brakes using this complete drum-to-disc brake conversion kit from LEED Brakes. This system includes everyth...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of modern disc brakes using this complete drum-to-disc brake conversion kit from LEED Brakes. This system includes...More Details »
Item #: RFC1002-N6B2X
Condition: New
Price: $1,504.99
GM AFX Power Front Disc Brake Kit Drilled and Slotted Rotors Red Powder Coated Calipers with 8" Dual Chrome Booster Disc/DiscNew887753637543
Upgrade your GM AFX vehicle with the safety, reliability, and performance of modern disc brakes using this complete drum-to-disc brake conversion kit from LEED Brakes. This system includes everyth...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of modern disc brakes using this complete drum-to-disc brake conversion kit from LEED Brakes. This system includes...More Details »
Item #: RFC1002-N6B4X
Condition: New
Price: $1,504.99
GM AFX Power Front Disc Brake Kit 2" Drop Spindle Drilled and Slotted Rotors Red Powder Coated Calipers 9" Booster Disc/DrumNew887753637598
Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete GM AFX 2" Drop Spindle Front Disc Brak...
Description: Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete GM AFX 2" Drop Spindle Front Disc...More Details »
Item #: RFC1003-E1A1X
Condition: New
Price: $1,414.99
GM AFX Power Front Disc Brake Conversion Kit – 2" Drop Spindles, 9" Booster, Red Calipers, Disc/DiscNew887753637604
This GM AFX Power Front Disc Brake Conversion Kit features 2" drop spindles, cross-drilled and slotted rotors, red powder-coated calipers, and a 9" power booster in a complete disc/disc setup for ...
Description: This GM AFX Power Front Disc Brake Conversion Kit features 2" drop spindles, cross-drilled and slotted rotors, red powder-coated calipers, and a 9" power booster in a complete disc/disc setup for...More Details »
Item #: RFC1003-E1A3X
Condition: New
Price: $1,414.99
GM AFX Power Front Disc Brake Conversion Kit – 2" Drop Spindles, Red Calipers, 9" Chrome Booster, Chrome Master Cylinder, Disc/DrumNew887753637628
Add the safety, reliability, and performance of modern disc brakes to your GM vehicle with LEED Brakes' GM AFX Power Front Disc Brake Conversion Kit – 2" Drop Spindles, Red Calipers, 9" Chrome B...
Description: Add the safety, reliability, and performance of modern disc brakes to your GM vehicle with LEED Brakes' GM AFX Power Front Disc Brake Conversion Kit – 2" Drop Spindles, Red Calipers, 9" Chrome...More Details »
Item #: RFC1003-F6B2X
Condition: New
Price: $1,514.99
GM AFX Power Front Disc Brake Conversion Kit – 2" Drop Spindles, Red Calipers, 9" Chrome Booster, Disc/DiscNew887753637635
Add the safety, reliability, and performance of modern disc brakes to your GM vehicle with the LEED Brakes GM AFX Power Front Disc Brake Conversion Kit – 2" Drop Spindles, Red Calipers, 9" Chrom...
Description: Add the safety, reliability, and performance of modern disc brakes to your GM vehicle with the LEED Brakes GM AFX Power Front Disc Brake Conversion Kit – 2" Drop Spindles, Red Calipers, 9"...More Details »
Item #: RFC1003-F6B4X
Condition: New
Price: $1,514.99
GM AFX Power Front Disc Brake Kit 2" Drop Spindle Drilled and Slotted Rotors Red Powder Coated Calipers 8" Dual Booster Adjustable Proportioning ValveNew887753637666
Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This kit includes everything required to mount red powder-coated single-...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This kit includes everything required to mount red powder-coated...More Details »
Item #: RFC1003-M105X
Condition: New
Price: $1,414.99
GM AFX Power Front Disc Brake Kit – 2" Drop Spindles, Drilled & Slotted Rotors, Red Powder-Coated Calipers, 8" Dual Booster, Disc/DrumNew887753637673
Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This GM AFX Power Front Disc Brake Kit includes everything required to m...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This GM AFX Power Front Disc Brake Kit includes everything required to...More Details »
Item #: RFC1003-M1A1X
Condition: New
Price: $1,434.99
GM AFX Power Front Disc Brake Kit – 2" Drop Spindles, Drilled & Slotted Rotors, Red Calipers, 8" Dual Booster, Disc/DiscNew887753637680
Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This GM AFX Power Front Disc Brake Kit includes everything required to m...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This GM AFX Power Front Disc Brake Kit includes everything required to...More Details »
Item #: RFC1003-M1A3X
Condition: New
Price: $1,434.99
GM AFX Power Front Disc Brake Kit 2" Drop Spindle Drilled and Slotted Rotors Red Powder Coated Calipers 8" Dual Chrome Booster Disc/DrumNew887753637697
Upgrade your 1964–1974 GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This GM AFX Power Front Disc Brake Kit includes everything r...
Description: Upgrade your 1964–1974 GM AFX vehicle with the safety, reliability, and performance of a complete front drum-to-disc brake conversion. This GM AFX Power Front Disc Brake Kit includes everything...More Details »
Item #: RFC1003-N6B2X
Condition: New
Price: $1,514.99
GM AFX Power Front Disc Brake Kit 2" Drop Spindle Drilled and Slotted Rotors Red Powder Coated Calipers 8" Dual Chrome Booster Disc/DiscNew887753637703
Upgrade your GM AFX vehicle with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This power front disc brake conversion kit fea...
Description: Upgrade your GM AFX vehicle with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This power front disc brake conversion kit...More Details »
Item #: RFC1003-N6B4X
Condition: New
Price: $1,514.99
1955-58 Chevrolet Power Front Disc Brake Conversion Kit with Adjustable Proportioning Valve | MaxGrip XDS | Black CalipersNew887753628466
Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This complet...
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit. This...More Details »
Item #: BFC1010-K105X
Condition: New
Price: $1,249.99
1957-68 Full-Size Ford Power Front Disc Brake Kit - MaxGrip XDS, Black CalipersNew887753640192
Upgrade your 1957-1968 full-size Ford from manual front drum brakes to power disc brakes with this complete LEED Brakes conversion kit. Featuring black powder-coated factory-style 4-piston caliper...
Description: Upgrade your 1957-1968 full-size Ford from manual front drum brakes to power disc brakes with this complete LEED Brakes conversion kit. Featuring black powder-coated factory-style 4-piston...More Details »
Item #: BFC0025-8307X
Condition: New
Price: $1,814.99
1958-64 Chevrolet Power Front Disc Brake Conversion Kit with Adjustable Proportioning Valve, MaxGrip XDS Rotors & Black CalipersNew887753628534
Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring Max...
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1958-64 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: BFC1011-K105X
Condition: New
Price: $1,255.99
1964-66 Mustang Automatic Transmission Power Front Kit with Drilled Rotors and Black Powder Coated CalipersNew887753639868
Upgrade your 1964-1966 Ford Mustang from front drum to power disc brakes with this complete LEED Brakes conversion kit for factory automatic transmission cars. Featuring black powder-coated factor...
Description: Upgrade your 1964-1966 Ford Mustang from front drum to power disc brakes with this complete LEED Brakes conversion kit for factory automatic transmission cars. Featuring black powder-coated...More Details »
Item #: BFC0001-H405AX
Condition: New
Price: $1,684.99
1965-72 Mopar A-Body Power Front Disc Brake Kit - MaxGrip XDS, Black CalipersNew887753640277
Upgrade your 1965-1972 Mopar A-Body from front drum to power disc brakes with this complete LEED Brakes conversion kit. Designed for Dodge Dart and select Plymouth Barracuda, Duster, Scamp and Val...
Description: Upgrade your 1965-1972 Mopar A-Body from front drum to power disc brakes with this complete LEED Brakes conversion kit. Designed for Dodge Dart and select Plymouth Barracuda, Duster, Scamp and...More Details »
Item #: BFC2001-8405X
Condition: New
Price: $1,904.99
1967-69 Ford Mustang & Mercury Cougar Power Front Disc Brake Kit - Auto Trans, Black CalipersNew887753639929
Upgrade your 1967-1969 Ford Mustang or Mercury Cougar from front drum to power disc brakes with this complete LEED Brakes conversion kit for automatic transmission cars. Featuring black powder-coa...
Description: Upgrade your 1967-1969 Ford Mustang or Mercury Cougar from front drum to power disc brakes with this complete LEED Brakes conversion kit for automatic transmission cars. Featuring black...More Details »
Item #: BFC0002-3405AX
Condition: New
Price: $1,809.99
GM AFX Power Front Disc Brake Kit Drilled and Slotted Rotors, Black Powder Coated Calipers with 9" Booster Disc/DrumNew887753627803
Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete power front drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount bl...
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete power front drum-to-disc brake conversion from LEED Brakes. This kit includes everything required to mount...More Details »
Item #: BFC1002-E1A1X
Condition: New
Price: $1,354.99
Mopar C-Body Power Front Disc Brake Conversion Kit with MaxGrip XDS Rotors and Black CalipersNew887753640437
Add the safety, reliability, and stopping performance of power front disc brakes to your Mopar C-Body vehicle with this manual-to-power drum-to-disc brake conversion kit from LEED Brakes. This com...
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your Mopar C-Body vehicle with this manual-to-power drum-to-disc brake conversion kit from LEED Brakes. This...More Details »
Item #: BFC2003-8405X
Condition: New
Price: $1,772.99
Power Front Disc Brake Kit with Drilled Rotors and Black Powder Coated Calipers for Mopar B & E BodyNew887753640352
Add the safety, reliability, and stopping performance of power front disc brakes to your Mopar B-Body or E-Body vehicle with this drum-to-disc brake conversion kit from LEED Brakes. This complete ...
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your Mopar B-Body or E-Body vehicle with this drum-to-disc brake conversion kit from LEED Brakes. This complete...More Details »
Item #: BFC2002-8405X
Condition: New
Price: $1,808.99
Power Front Kit with Drilled Rotors and Black Powder Coated CalipersNew887753640116
Upgrade your 1971-1973 Ford Mustang or Mercury Cougar from front drum to power disc brakes with this complete LEED Brakes conversion kit. Featuring black powder-coated factory-style 4-piston calip...
Description: Upgrade your 1971-1973 Ford Mustang or Mercury Cougar from front drum to power disc brakes with this complete LEED Brakes conversion kit. Featuring black powder-coated factory-style 4-piston...More Details »
Item #: BFC0004-W405X
Condition: New
Price: $1,714.99
Power Front Kit with Drilled Rotors and Black Powder Coated Calipers for 1970 Mustang with Auto TransNew887753640055
Upgrade your 1970 Ford Mustang from front drum to power disc brakes with this complete LEED Brakes conversion kit for automatic transmission cars. Featuring black powder-coated factory-style 4-pis...
Description: Upgrade your 1970 Ford Mustang from front drum to power disc brakes with this complete LEED Brakes conversion kit for automatic transmission cars. Featuring black powder-coated factory-style...More Details »
Item #: BFC0003-3405AX
Condition: New
Price: $1,814.99
1955-58 Tri-Five GM Power Front Disc Brake Conversion Kit with Disc Drum Valve | MaxGrip XDS | Black CalipersNew887753628473
Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring Max...
Description: Add the safety, reliability, and performance of disc brakes to your classic Chevrolet with LEED Brakes' 1955-58 Full-Size Chevrolet power front spindle mount disc brake conversion kit featuring...More Details »
Item #: BFC1010-K1A1X
Condition: New
Price: $1,264.99
1962-72 Mopar B, C & E-Body Factory Power Front Disc Brake Conversion Kit | MaxGrip XDS | Black CalipersNew887753640970
Upgrade the safety, reliability, and stopping power of your classic Mopar with LEED Brakes' 1962-72 Mopar B, C & E-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles original...
Description: Upgrade the safety, reliability, and stopping power of your classic Mopar with LEED Brakes' 1962-72 Mopar B, C & E-Body Factory Power Front Disc Brake Conversion Kit. Designed for vehicles...More Details »
Item #: BFC2002-C05PX
Condition: New
Price: $1,629.99
1964-66 Mustang Manual Transmission Power Front Kit with Drilled Rotors and Black Powder Coated CalipersNew887753641335
Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit fro...
Description: Add the safety, reliability, and stopping performance of power front disc brakes to your 1964-1966 Ford Mustang with a factory manual transmission. This drum-to-power disc brake conversion kit...More Details »